package com.shiyanlou.service.impl;

import com.shiyanlou.base.UserExt;
import com.shiyanlou.core.authentication.ShiyanlouUserDetailsService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.security.crypto.password.PasswordEncoder;
import org.springframework.stereotype.Service;


@Service
@Slf4j
public class UserDetailsServiceImpl implements ShiyanlouUserDetailsService {

    @Autowired
    private PasswordEncoder passwordEncoder;

    @Override
    public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
        log.info("表单登录用户名：" + username);

        String password = passwordEncoder.encode("123456");

        UserExt userExt = new UserExt();
        userExt.setId(1L);
        userExt.setUsername(username);
        userExt.setPassword(password);
        userExt.setName("猪小明");
        return userExt;
    }

    @Override
    public UserDetails loadUserByMobile(String mobile) throws UsernameNotFoundException {

        log.info("手机验证码登录手机号：" + mobile);

        UserExt userExt = new UserExt();
        userExt.setId(2L);
        userExt.setName("闰土");
        return userExt;
    }
}