package com.shiyanlou.core.authorize;

import org.springframework.core.annotation.Order;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configurers.ExpressionUrlAuthorizationConfigurer;
import org.springframework.stereotype.Component;

/**
 * @ClassName ShiyanlouAuthorizeConfigProvider
 * @Description 核心模块的授权配置提供器，安全模块涉及的url的授权配置在这里。
 * @Modify ...
 */
@Component
@Order(Integer.MIN_VALUE)
public class ShiyanlouAuthorizeConfigProvider implements AuthorizeConfigProvider{
    @Override
    public boolean config(ExpressionUrlAuthorizationConfigurer<HttpSecurity>.ExpressionInterceptUrlRegistry config) {

        config.antMatchers(
                "/authentication/*",
                "/code/*",
                "/oauth/*",
                "/error/*"
        ).permitAll();

        return false;
    }
}
